## $Id: utils.py 17554 2023-08-22 13:47:07Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
from waeup.kofa.applicants.workflow import (INITIALIZED,
    STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
from kofacustom.unidel.interfaces import MessageFactory as _



class ApplicantsUtils(NigeriaApplicantsUtils):
    """A collection of parameters and methods subject to customization.
    """

    APP_TYPES_DICT = {
        'app': ['General Studies', 'APP'],
        'ase': ['Admission Screening Exercise', 'ASE'], # successor of putme
        'ugpt': ['Undergraduate Part-Time Programmes', 'PT'],
        'jupeb': ['JUPEB Pre-Degree (Foundation) Programmes', 'PRE'],
        'ijmb': ['IJMB Foundation School Programmes', 'IJMB'],
        'pre': ['Pre-Degree (Foundation) Studies', 'PRE'],
        'dpft': ['Diploma Programmes Full-Time Programmes', 'DP'],
        'dppt': ['Diploma Programmes Part-Time Programmes', 'DP'],
        'de': ['Direct Entry Programmes', 'DEP'],
        'df': ['Digital Forensic for Professionals and Academia', 'DF'],
        'law': ['Certificate in Law Programme', 'CL'],
        }